Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class MessageFieldTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.FieldTag
                  |
                  +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.MessageFieldTag

Direct Known Subclasses:
  InputTag, TextareaTag

public abstract class MessageFieldTag
extends FieldTag

See Also:
  Serialized Form

Field Summary
`protected WebflowValidatedFormTag` | `formTag`
`protected java.lang.String` | `message`
`protected java.lang.String` | `style`

Fields inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.FieldTag
`htmlAttributes, name, retainValue, retainValueBool, validatedValues, value`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`MessageFieldTag()`

Method Summary
`protected java.lang.String` | `buildMessage(java.lang.String applyStyle)`
`protected WebflowValidatedFormTag` | `getFormTag()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getStyle()`
`void` | `release()`
`void` | `setMessage(java.lang.String message)`
`void` | `setStyle(java.lang.String style)`

Methods inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.FieldTag
`addIntoPageContext, doEndTag, getDefaultRetainValue, getHtmlAttributes, getHttpServletRequest, getName, getRetainValue, getRetainValueBool, getValue, setHtmlAttributes, setName, setRetainValue, setValue`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### message

    protected java.lang.String message

### style

    protected java.lang.String style

### formTag

    protected WebflowValidatedFormTag formTag

Constructor Detail

### MessageFieldTag

    public MessageFieldTag()

Method Detail

### release

    public void release()

  Overrides:
    release in class FieldTag

### buildMessage

    protected java.lang.String buildMessage(java.lang.String applyStyle)

### getFormTag

    protected WebflowValidatedFormTag getFormTag()
                                          throws javax.servlet.jsp.JspException

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String style)

### getMessage

    public java.lang.String getMessage()

### setMessage

    public void setMessage(java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved